## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstNode

### Document::ezcDocumentRstNode

### Class ezcDocumentRstNode

Struct for RST document document abstract syntax tree nodes

Source for this file: /Document/src/document/rst/node.php

    ezcBaseStruct
       |
       --ezcDocumentRstNode

Version: | //autogen//

### Constants

`ANNOTATION = 6` | Blockquote anotation AST node
`ANON_REFERENCE = 55` | Anonymous reference target AST node
`BLOCKQUOTE = 5` | Blockquote AST node
`BULLET_LIST = 20` | Bullet list item AST node
`BULLET_LIST_LIST = 22` | Bullet list AST node
`COMMENT = 8` | Comment AST node
`DEFINITION_LIST = 11` | Definition list AST node
`DEFINITION_LIST_LIST = 14` | Definition list item AST node
`DIRECTIVE = 52` | Directive AST node
`DOCUMENT = 1` | Document AST node
`ENUMERATED_LIST = 21` | Enumerated list item AST node
`ENUMERATED_LIST_LIST = 23` | Enumerated list AST node
`FIELD_LIST = 10` | Field list AST node
`FOOTNOTE = 54` | Footnote target AST node
`LINE_BLOCK = 12` | Line block AST node
`LINE_BLOCK_LINE = 13` | Line block line AST node
`LINK_ANONYMOUS = 40` | Anonymous hyperlink AST node
`LINK_REFERENCE = 41` | External Reference AST node
`LITERAL = 50` | Inline Literal AST node
`LITERAL_BLOCK = 7` | Literal block AST node
`MARKUP_EMPHASIS = 30` | Emphasis markup AST node
`MARKUP_INTERPRETED = 32` | Interpreted text markup AST node
`MARKUP_LITERAL = 33` | Inline literal markup AST node
`MARKUP_STRONG = 31` | Strong emphasis markup AST node
`MARKUP_SUBSTITUTION = 34` | Substitution reference markup AST node
`NAMED_REFERENCE = 53` | Named reference target AST node
`PARAGRAPH = 3` | Paragraph AST node
`REFERENCE = 43` | Internal Reference AST node
`SECTION = 1` | Section AST node
`SUBSTITUTION = 51` | Substitution target AST node
`TABLE = 100` | Table node AST node
`TABLE_BODY = 102` | Table body node AST node
`TABLE_CELL = 104` | Table cell node AST node
`TABLE_HEAD = 101` | Table head node AST node
`TABLE_ROW = 103` | Table row node AST node
`TARGET = 42` | Internal Target AST node
`TEXT_LINE = 4` | Text line AST node
`TITLE = 2` | Title AST node
`TRANSITION = 9` | Page transition AST node

### Member Variables

public string | `$identifier = null` Optional paragraph identifier, to reference the paragraph using internal links.
public int | `$line` Line of node in source file.
public mixed | `$nodes = array()` Child nodes
public int | `$position` Character position of node in source file.
public ezcDocumentRstToken | `$token = null` Optional reference to token, not available for all nodes.
public int | `$type` Node type

### Method Summary

public static string | `getTokenName( $type )` Get node name from type
protected string | `content( )` Return node content, if available somehow
public string | `dump( [ $depth = 0] )` Get dump of document
public void | `__construct( $token , $type )` Construct RST node

### Methods

#### getTokenName

static string getTokenName( int $type )

Get node name from type

Return a user readable name from the numeric node type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | int |

#### content

string content( )

Return node content, if available somehow

#### dump

string dump( [int $depth = 0] )

Get dump of document

##### Parameters:

Name | Type | Description
--- | --- | ---
`$depth` | int |

#### __construct

void __construct( ezcDocumentRstToken $token , int $type )

Construct RST node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$token` | ezcDocumentRstToken |
`$type` | int |

Documentation generated by phpDocumentor 1.4.3